- Qt 6.10
- Qt GUI
- C++ Classes
- BlockVariable
- Qt 6.10.2 Reference Documentation

# QShaderDescription::BlockVariable Struct

struct QShaderDescription::BlockVariable

Describes a member of a uniform or push constant block. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QList<int> | arrayDims
int | arrayStride
bool | matrixIsRowMajor
int | matrixStride
QByteArray | name
int | offset
int | size
QList<QShaderDescription::BlockVariable> | structMembers
QShaderDescription::VariableType | type

## Related Non-Members

bool | operator==(const QShaderDescription::BlockVariable &lhs, const QShaderDescription::BlockVariable &rhs)

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### QList<int> BlockVariable::arrayDims

### int BlockVariable::arrayStride

### bool BlockVariable::matrixIsRowMajor

### int BlockVariable::matrixStride

### QByteArray BlockVariable::name

### int BlockVariable::offset

### int BlockVariable::size

### QList<QShaderDescription::BlockVariable> BlockVariable::structMembers

### QShaderDescription::VariableType BlockVariable::type

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::BlockVariable &lhs, const QShaderDescription::BlockVariable &rhs)

Returns `true` if the two BlockVariable objects lhs and rhs are equal.